## org.firebirdsql.jdbc
Class FBDriverConsistencyCheckException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  org.firebirdsql.jdbc.FBSQLException
                      org.firebirdsql.jdbc.FBDriverConsistencyCheckException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class FBDriverConsistencyCheckException

extends FBSQLException

Internal driver consistency check failed. This exception is thrown when some internal consistency check fails.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.firebirdsql.jdbc.FBSQLException
`SQL_STATE_COMM_LINK_FAILURE, SQL_STATE_CONNECTION_CLOSED, SQL_STATE_CONNECTION_FAILURE_IN_TX, SQL_STATE_GENERAL_ERROR, SQL_STATE_INVALID_ARG_VALUE, SQL_STATE_INVALID_COLUMN, SQL_STATE_INVALID_CONN_ATTR, SQL_STATE_INVALID_CONVERSION, SQL_STATE_INVALID_PARAM_TYPE, SQL_STATE_NO_RESULT_SET, SQL_STATE_NO_ROW_AVAIL, SQL_STATE_WRONG_PARAM_NUM`

Constructor Summary
`FBDriverConsistencyCheckException(String message)` Create instance of this exception for the specified message.

Method Summary

Methods inherited from class org.firebirdsql.jdbc.FBSQLException
`getErrorCode, getInternalException, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.sql.SQLException
`getNextException, getSQLState, iterator, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FBDriverConsistencyCheckException

    public FBDriverConsistencyCheckException(String message)

  Create instance of this exception for the specified message.

  Parameters:
    `message` - message to display.

Copyright © 2001-2010. All Rights Reserved.